Bug 75148 - xscreensaver crashes upon password entry
xscreensaver crashes upon password entry
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 15:54 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 10:59:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-04 15:54:19 EDT
Description of Problem:

xscreensaver crashes upon password entry and returns to X desktop. This happens
on successful or unsuccessful login. 

This did not happen under null on the same box.

If xscreensaver is run by hand, it produces the following upon its death...

(note that there is no core file that I could find, even if I run it with the
options they suggest)

##############################################################################

xscreensaver: 15:53:45: X Error!  PLEASE REPORT THIS BUG.
xscreensaver: 15:53:45: screen 0: 0x51, 0x0, 0x2200001

##############################################################################

X Error of failed request:  BadAccess (attempt to access private resource denied)
  Major opcode of failed request:  88 (X_FreeColors)
  Serial number of failed request:  977
  Current serial number in output stream:  980

##############################################################################

    If at all possible, please re-run xscreensaver with the command
    line arguments `-sync -verbose -no-capture', and reproduce this
    bug.  That will cause xscreensaver to dump a `core' file to the
    current directory.  Please include the stack trace from that core
    file in your bug report.  *DO NOT* mail the core file itself!
    That won't work.

    http://www.jwz.org/xscreensaver/bugs.html explains how to create
    the most useful bug reports, and how to examine core files.

    The more information you can provide, the better.  But please
    report this bug, regardless!

##############################################################################

xscreensaver: 15:53:45: PAM: brk grew by 68K.

[1]+  Exit 255                xscreensaver -nosplash

Version-Release number of selected component (if applicable):

xscreensaver-4.05-6

How Reproducible:

Every time.

Steps to Reproduce:
1. log in to Gnome/Redhat default desktop
2. wait for screensaver to kick in -or- lock screen
3. type in password, wrong or right

Actual Results:

xscreensaver no longer running.

Expected Results:

xscreensaver keeps running

Additional Information:
Comment 1 Need Real Name 2002-10-30 11:32:59 EST
I hate to make a new report about what I think is a related bug.  

Hardware - IBM T20 Laptop

Issue - All screensavers in GNOME crash frequently.  This often returns the 
error code listed above, thought occasionally the whole machine freezes and I 
cannot kill the X-session.

The real hard freeze appears to occur either at the moment the screensavers 
are set to cycle or at the moment when the LOCK funtion is supposed to kick 
in. 

Sorry this isn't the most technical report ever.

Comment 2 Bill Nottingham 2002-10-30 22:25:09 EST
Both reporters: what sort of video card are you using?
Comment 3 Need Real Name 2002-10-31 08:05:10 EST
I have a Xinerama setup with onboard i810 on one side, and a Matrox 1064SG (mga
driver - I think it's a mystique) on the other side.
Comment 4 Jamie Zawinski 2003-06-19 06:25:26 EDT
I added this bug to the xscreensaver FAQ a while back.  Here's what I said.
I welcome any additional wisdom, as it has me completely stumped...

http://www.jwz.org/xscreensaver/faq.html#sequence-lost

     5. XScreenSaver crashes every time I use the unlock dialog, with a
        message about ``Sequence Lost'' and/or ``X_FreeColors''.

        I started getting reports of this in late 2002, and haven't
        been able to make much sense of it. The crash message looks
        something like this:

          Xlib: sequence lost (0x83f05 > 0x73f05) in reply type 0x0!
          X Error of failed request: BadAccess (attempt to access
            private resource denied)
          Major opcode of failed request:  88 (X_FreeColors) 

        (The ``sequence lost'' message is the real error: that means
        that the connection to the X server has gotten corrupted. After
        that point, the FreeColors error is just a result of that
        earlier corruption.)

        I think this problem manifests itself most often on machines
        running Xinerama in 16-bit mode, but I've also (rarely) heard
        of it on single-screen non-Xinerama systems.

        I've spent a long time trying to reproduce this, and haven't
        gotten anywhere. At this point, I'm inclined to believe that it
        is a recently-introduced bug in the X server itself.

        One person told me that he was having this problem, and it went
        away after he upgraded to XFree86 snapshot 4.2.99.3. Others
        have told me that switching from 16-bit to 24-bit fixed it.

        If you have this problem, please try upgrading that version of
        XFree86 (or newer), and let me know what happens: whether it
        helped, or didn't help.

        Also, if you are using Xinerama, try turning it off (just use
        the normal multi-head mode instead.) Again, please let me know
        whether that helped, or didn't help.
Comment 5 Ray Strode [halfline] 2004-11-09 10:59:40 EST
Hi,

This bug report is very old and the problem reported is probably fixed
by now.  I'm going to close this report, but if you encounter the
problem in FC3 or with a recent version of X or xscreensaver, please
feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.